Subject: [tcpm] Timestamp negotiation - next steps

From: "Scheffenegger, Richard" <[email-masked]>
Date: Fri, 18 Nov 2011 03:04:23 +0000

During the WG meeting I gathered that the group is quite interested that this work continues, even though the current draft is not yet ready for adoption as a WG item.

There is one thing that I missed to mention during my talk, which is very important I believe.

Michio Honda has volunteered to include some active tests  around timestamp capability negotiation into his last version of the active TCP behavior testing tool:

http://web.sfc.wide.ad.jp/~micchie/middlebox/cfc.html

The viability of deploying the timestamp negotiation depends on middleboxes not rewriting timestamps in an active session, and also not to remove unexpected values (ie. the <SYN,ACK> TSecr value will not be zero or the TSval from the <SYN>). Also, this will be a snapshot of the current state of the internet, and therefore much more valuable than my investigation as to the already existing "stretch" of RFC1323 as seen by non-zero TSecrs in <SYN> which I presented.

I would like to ask anyone who reads this message to run the testing tool - if at all possible, also from as many different places as possible (home, office, public area wifi, vpn...). It really is quick and easy to run.

Also, I want to express my gratitude to Michio to have come forward to this task! Greatly appreciated!

Best regards,

Richard Scheffenegger